Kerbal Space Program - Bug #16589

FPS drops after each consecutive launch. (1.3.1)
11/17/2017 06:01 PM - Kilhmar

Status: Moot Start date: 11/17/2017
Severity: High % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Completely fresh stock install (1.3.1). GFX-options to full screen, full res textures, very low aero-fx, no fps limit and 2x AA. For each
consecutive launch of a craft the FPS drops; from 80+ during the first launch down to less than 20 after a few launches. See video.
Win10 X64, Ryzen 7 1800X, GTX 1080Ti, 64 gigs of RAM.

https://youtu.be/JaRJrDFdyy4

After restarting KSP and loading the saved game FPS is back up to 80+ on the first launch, but the problem persists on subsequent
launches.

https://youtu.be/hKBdvB3YgUA

History

#1-11/17/2017 07:36 PM - Kilhmar

After doing some more testing | can confirm that simply moving back and forth from a vessel and KSP Space Center or the Tracking Station will
trigger the same bug and tie up some CPU resources. Simply switching between vessels in the map view will not trigger the bug. Exiting to the main
menu will release the CPU load. So basically I'll have to exit to the main menu and reload the saved game every time | visit the Space Center. | also
get 25-30% more FPS (100+) if | launch from inside the VAB rather than from the launch pad menu. The bug is likely somewhere in the KSP Space
Center scene-change to the vessel where some process is not released when it should be..

#2 - 11/17/2017 07:58 PM - Kilhmar

Yup... The problem is definitely in the Space Center scene. Simply launching via the VAB mitigates the problem. See video.

https://youtu.be/f7tUxQZe-W4

#3 - 12/03/2019 09:59 PM - RafaHdz

- Status changed from New to Moot
